UbixOS V2 2.0

Data Fields
fileDescriptor Struct Reference

`#include <file.h>`

Collaboration diagram for fileDescriptor:

## Data Fields
char * | buffer
struct cacheNode * | cacheNode
struct dmadat * | dmadat
int | dsk_meta
int | dup
int | fd_type
char | fileName [512]
uint32_t | ino
struct inode | inode
uint16_t | length
uint16_t | mode
struct vfs_mountPoint * | mp
struct fileDescriptor * | next
off_t | offset
uint32_t | perms
struct fileDescriptor * | prev
void * | res
uint32_t | resid
uint32_t | size
uint32_t | start
uint16_t | status

## Detailed Description

Definition at line 62 of file file.h.

## Field Documentation

## ◆ buffer

char* fileDescriptor::buffer

Definition at line 74 of file file.h.

Referenced by fopen(), writeFileByte(), and writeUbixFS().

## ◆ cacheNode

struct cacheNode* fileDescriptor::cacheNode

Definition at line 75 of file file.h.

Referenced by readUbixFS().

## ◆ dmadat

struct dmadat* fileDescriptor::dmadat

Definition at line 77 of file file.h.

Referenced by ffs_read().

## ◆ dsk_meta

int fileDescriptor::dsk_meta

Definition at line 78 of file file.h.

## ◆ dup

int fileDescriptor::dup

Definition at line 83 of file file.h.

Referenced by dup2().

## ◆ fd_type

int fileDescriptor::fd_type

Definition at line 81 of file file.h.

## ◆ fileName

char fileDescriptor::fileName[512]

Definition at line 73 of file file.h.

Referenced by fopen(), sys_fchdir(), writeFileByte(), and writeUbixFS().

## ◆ ino

uint32_t fileDescriptor::ino

Definition at line 66 of file file.h.

Referenced by _sys_stat(), open_fat(), sys_fstat(), and sys_fstatat().

## ◆ inode

struct inode fileDescriptor::inode

Definition at line 80 of file file.h.

Referenced by _sys_stat(), sys_fstat(), and sys_fstatat().

## ◆ length

uint16_t fileDescriptor::length

Definition at line 71 of file file.h.

## ◆ mode

uint16_t fileDescriptor::mode

Definition at line 68 of file file.h.

Referenced by fopen(), and open_fat().

## ◆ mp

struct vfs_mountPoint* fileDescriptor::mp

Definition at line 65 of file file.h.

Referenced by fgetc(), fopen(), fputc(), fread(), freeBlocks(), getFreeBlocks(), open_fat(), readUbixFS(), sysMkDir(), ubixFSmkDir(), writeFileByte(), and writeUbixFS().

## ◆ next

struct fileDescriptor* fileDescriptor::next

Definition at line 64 of file file.h.

## ◆ offset

off_t fileDescriptor::offset

Definition at line 69 of file file.h.

Referenced by addDirEntry(), fgetc(), fputc(), fread(), open_fat(), sys_fseek(), sys_lseek(), and sys_pread().

## ◆ perms

uint32_t fileDescriptor::perms

Definition at line 76 of file file.h.

Referenced by execFile(), open_fat(), and sysExec().

## ◆ prev

struct fileDescriptor* fileDescriptor::prev

Definition at line 63 of file file.h.

## ◆ res

void* fileDescriptor::res

Definition at line 82 of file file.h.

Referenced by open_fat(), read_fat(), sys_fstat(), sys_write(), and write_fat().

## ◆ resid

uint32_t fileDescriptor::resid

Definition at line 79 of file file.h.

## ◆ size

uint32_t fileDescriptor::size

Definition at line 70 of file file.h.

Referenced by addDirEntry(), open_fat(), readUbixFS(), sys_fopen(), sys_fstat(), writeFileByte(), and writeUbixFS().

## ◆ start

uint32_t fileDescriptor::start

Definition at line 72 of file file.h.

Referenced by writeFileByte(), and writeUbixFS().

## ◆ status

uint16_t fileDescriptor::status

Definition at line 67 of file file.h.

Referenced by feof(), readUbixFS(), and writeFileByte().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vfs/file.h